import request from "@/utils/request";
//发件箱
export function yfList(query) {
  return request({
    url: "/oa/mail/yfList",
    method: "get",
    params: query,
  });
}
//删除邮件
export function update(id) {
  return request({
    url: "/oa/mail/delete/mail/" + id,
    method: "put",
  });
}
//邮件详情收件人
// export function selectNicknameArray(data) {
//   let f = new FormData();
//   Object.keys(data).forEach((key) => {
//     f.append(key, data[key]);
//   });
//   return request({
//     url: "/system/user/selectNicknameArray",
//     method: "post",
//     data: f,
//   });
// }
//邮件详情收件人
export function selectNicknameArray(id) {
  return request({
    url: "/oa/mail/select/users/" + id,
    method: "get",
  });
}
